* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body, html {
  height: 100%;
  font-family: 'Segoe UI', sans-serif;
}

.background {
  background-image: url('../media/fondo.webp');
  background-size: cover;
  background-position: center;
  filter: blur(5px);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.overlay {
  background-color: rgba(0, 0, 0, 0.4);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.login-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login-box {
  background-color: white;
  padding: 2rem;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  width: 90%;
  max-width: 320px;
  text-align: center;
}

.login-box h2 {
  margin-bottom: 1.5rem;
  color: #333;
}

.login-box input {
  width: 100%;
  padding: 0.75rem;
  margin-bottom: 1rem;
  border: none;
  background-color: #ecf0f1;
  border-radius: 4px;
  font-size: 1rem;
}

.login-box button {
  width: 100%;
  padding: 0.75rem;
  background-color: #3498db;
  border: none;
  color: white;
  font-weight: bold;
  border-radius: 4px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.login-box button:hover {
  background-color: #2980b9;
}

.login-box a {
  display: block;
  margin-top: 1rem;
  font-size: 0.9rem;
  color: #555;
  text-decoration: none;
}

.login-box a:hover {
  text-decoration: underline;
}

.oculto {
  display: none;
}


/* Estilos para el contenido de la ventana modal */
.modal-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
  z-index: 10;
}


.modal-content {
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  width: auto;
  text-align: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.modal-button {
  margin-top: 15px;
  padding: 8px 16px;
  border: none;
  background-color: #4CAF50;
  color: #fff;
  cursor: pointer;
  border-radius: 4px;
}

.modal-button:hover {
  background-color: #45a049;
}